Get
/ci-rest-api/rest/1/ciitemdetail
Overview
This endpoint retrieves Inventory item details based on company code, audit date, Item Code and Location Code
Notes
Authentication and authorization are required.
If the item code does not exist or is not accessible, an appropriate error is returned.
UI Navigation
Asset Management - Inventory - Setup - Item Detail
Finders
Following row finders are available for data filtering and optimizing request performance.
Select by Code
Select by Date
Select by Code
| Parameter | Description | Sample |
|---|---|---|
| CompCode | Company Code | ZZ |
| AuditDate | Audit Date | 2016-12-22 |
| ItemCode | Item Code | 2500 |
| LocCod | Location Code | MAIN |
Select by Date
This is an optional finder for querying Inventory Item Detail by Company Code, Audit Date, Item Code, and Location Code.
| Parameter | Description | Sample |
|---|---|---|
| AuditDate | Audit Date | 2016-12-22 |
| ItemCode | Item Code | 2500 |
| LocCod | Location Code | MAIN |
| CompCode | Company Code | ZZ |
Query Standards
| Key | Recommended | Description |
|---|---|---|
finder |
Yes | Filters data based on attributes. See finder details below. Finders can be combined using a comma delimiter between parameters that implies an "and" statement. For more information on using the finder functionality, please see [Best Practice |
limit |
Yes | A limit restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count, then the framework will return all available resources. For additional information on using the limit functionality, please visit [Best Practice |
offset |
Yes | The offset skips a specified number of items in a data list before it starts showing results. For example, if you set an offset of 10, it skips the first 10 items and begins showing from the 11th item. For additional information on using offset functionality, please visit [Best Practice |
orderBy |
Yes | The orderBy attribute retrieves rows using an order ensuring the response payload displays data in the order supplied in the URL parameter using the GET method. For more information on using orderBy functionality, please visit [Best Practice |
Finders with Example
| Finder | Parameter | Data Type | Example | Mandatory |
|---|---|---|---|---|
| selectByCode | AuditDate | Datetime | /ci-rest-api/rest/1/ciitemdetail?finder=selectByCode;CompCode=ZZ,AuditDate=2016-12-20 | Optional |
| selectByCode | CompCode | String | /ci-rest-api/rest/1/ciitemdetail?finder=selectByCode;CompCode=ZZ | Optional |
| selectByCode | ItemCode | String | /ci-rest-api/rest/1/ciitemdetail?finder=selectByCode;ItemCode=2500 | Optional |
| selectByCode | LocCode | String | /ci-rest-api/rest/1/ciitemdetail?finder=selectByCode;LocCode=MAIN | Optional |
| selectByDate | AuditDate | Datetime | /ci-rest-api/rest/1/ciitemdetail?finder=selectByDate;CompCode=ZZ,AuditDate=2016-12-20 | Optional |
| selectByDate | ItemCode | String | /ci-rest-api/rest/1/ciitemdetail?finder=selectByDate;CompCode=ZZ;ItemCode=2500 | Optional |
| selectByDate | LocCode | String | /ci-rest-api/rest/1/ciitemdetail?finder=selectByDate;CompCode=ZZ;LocCode=MAIN | Optional |
| selectByDate | CompCode | String | /ci-rest-api/rest/1/ciitemdetail?finder=selectByDate;CompCode=ZZ;LocCode=MAIN | Optional |
Attributes
| CMiC UI Fieldname | Object | Name | Description | Type | Data Length | Example |
|---|---|---|---|---|---|---|
| CitemdCompCode | ciitemdetail | CitemdCompCode | Company Code | String | 8 | ALT |
| CitemdCompName | ciitemdetail | CitemdCompName | Company Name | String | 30 | Andy's Company ALT |
| CitemdItemCode | ciitemdetail | CitemdItemCode | Item Code | String | 16 | 12 FT GRDR |
| CitemdItemName | ciitemdetail | CitemdItemName | Item Name | String | 60 | 12 Foot Steel Girder |
| CitemdItemTypeCode | ciitemdetail | CitemdItemTypeCode | Item Type Code | String | 2 | ST |
| CitemdItemTypeName | ciitemdetail | CitemdItemTypeName | Item Type Name | String | 30 | Aggregates |
| CitemdLocCode | ciitemdetail | CitemdLocCode | Location Code | String | 7 | MAIN |
| CitemdLocName | ciitemdetail | CitemdLocName | Location Name | String | 60 | Main Warehouse |
| CitemdLotCtrlFlag | ciitemdetail | CitemdLotCtrlFlag | Manual Cost Batch Selection | String | 1 | N |
| CitemdBinCtrlFlag | ciitemdetail | CitemdBinCtrlFlag | Bin Ctrl Flag | String | 1 | N |
| CitemdSerialFlag | ciitemdetail | CitemdSerialFlag | Serialized Item | String | 1 | N |
| CitemdUsageCode | ciitemdetail | CitemdUsageCode | Item Equipment Usage Code | String | 1 | N |
| CitemdCostUpdateLevelCode | ciitemdetail | CitemdCostUpdateLevelCode | Cost Update Level | String | 1 | I |
| CitemdInvAccCode | ciitemdetail | CitemdInvAccCode | Inventory Account Code | String | 16 | 1700.100 |
| CitemdRevAccCode | ciitemdetail | CitemdRevAccCode | Internal Issue Revenue Account | String | 16 | 4000.700 |
| CitemdWriAccCode | ciitemdetail | CitemdWriAccCode | Write Off Account Code | String | 16 | 1700.200 |
| CitemdAdjAccCode | ciitemdetail | CitemdAdjAccCode | Adjustment Account Code | String | 16 | 1700.300 |
| CitemdVarAccCode | ciitemdetail | CitemdVarAccCode | Variance Account Code | String | 16 | 1700.500 |
| CitemdSuspAccCode | ciitemdetail | CitemdSuspAccCode | Suspense Account Code | String | 16 | 1700.400 |
| CitemdBookOnHandQty | ciitemdetail | CitemdBookOnHandQty | On Book Quantity | Number | 16/8 | 1000.0 |
| CitemdOnHandQty | ciitemdetail | CitemdOnHandQty | On Hand Quantity | Number | 16/8 | 1000.0 |
| CitemdOnOrderQty | ciitemdetail | CitemdOnOrderQty | On Order Quantity | Number | 16/8 | 12.0 |
| CitemdReserveQty | ciitemdetail | CitemdReserveQty | Reserve Quantity | Number | 16/8 | 1.0 |
| CitemdMinOrderQty | ciitemdetail | CitemdMinOrderQty | Minimum Order | Number | 16/8 | 1.0 |
| CitemdStdOrderQty | ciitemdetail | CitemdStdOrderQty | Standard Order | Number | 16/8 | 700.0 |
| CitemdMaxOrderQty | ciitemdetail | CitemdMaxOrderQty | Maximum Order | Number | 16/8 | 700.0 |
| CitemdMinOnhandQty | ciitemdetail | CitemdMinOnhandQty | Minimum On Hand | Number | 16/8 | 1.0 |
| CitemdMaxOnhandQty | ciitemdetail | CitemdMaxOnhandQty | Maximum On Hand | Number | 16/8 | 1000.0 |
| CitemdStdOnhandQty | ciitemdetail | CitemdStdOnhandQty | Standard On Hand | Number | 16/8 | 50.0 |
| CitemdMarketPriceAmt | ciitemdetail | CitemdMarketPriceAmt | Market Price | Number | 18/4 | 25.0 |
| CitemdSellPriceAmt | ciitemdetail | CitemdSellPriceAmt | Sell Price | Number | 18/4 | 35.0 |
| CitemdBuybackPriceAmt | ciitemdetail | CitemdBuybackPriceAmt | Buyback Price | Number | 18/4 | 12.0 |
| CitemdRestockPriceAmt | ciitemdetail | CitemdRestockPriceAmt | Re-Stock Charge | Number | 18/4 | 30.0 |
| CitemdStdCostAmt | ciitemdetail | CitemdStdCostAmt | Standard Cost | Number | N/A | 30 |
| CitemdAvgCostAmt | ciitemdetail | CitemdAvgCostAmt | Average Cost | Number | N/A | 30 |
| CitemdLastCostAmt | ciitemdetail | CitemdLastCostAmt | Last Cost | Number | N/A | 4 |
| CitemdCostUpdateDate | ciitemdetail | CitemdCostUpdateDate | Cost Update Date | String | N/A | 2014-05-22 00:00:00 |
| CitemdCrtDate | ciitemdetail | CitemdCrtDate | Creation Date | String | N/A | 2010-05-12 00:00:00 |
| CitemdCrtUserCode | ciitemdetail | CitemdCrtUserCode | Creation By User | String | 30 | QA1 |
| CitemdLastModifyDate | ciitemdetail | CitemdLastModifyDate | Last Modify Date | String | N/A | 2014-10-01 00:00:00 |
| CitemdLastModifyUserCode | ciitemdetail | CitemdLastModifyUserCode | Last Modify User | String | 30 | QA3 |
| CitemdTempInsertFlag | ciitemdetail | CitemdTempInsertFlag | Temp Insert Flag | String | 1 | N |
| CitemdBookReserveQty | ciitemdetail | CitemdBookReserveQty | Book Reserve Qty | Number | 16/8 | 0.0 |
| CitemdDeprExpAccCode | ciitemdetail | CitemdDeprExpAccCode | Depreciation Expense Account Code | String | 16 | 4000.701 |
| CitemdAccumDeprAccCode | ciitemdetail | CitemdAccumDeprAccCode | Accumulated Depreciation Account Code | String | 16 | 4000.701 |
| CitemdTax1Code | ciitemdetail | CitemdTax1Code | Purchasing Tax 1 Code | String | 11 | 01 |
| CitemdTax2Code | ciitemdetail | CitemdTax2Code | Purchasing Tax 2 Code | String | 11 | T5 |
| CitemdTax3Code | ciitemdetail | CitemdTax3Code | Purchasing Tax 3 Code | String | 11 | T6 |
| CitemdSoldAtCostAccCode | ciitemdetail | CitemdSoldAtCostAccCode | Cost of Goods Sold Account | String | 16 | 4000.701 |
| CitemdSalesTax1Code | ciitemdetail | CitemdSalesTax1Code | Sales Tax 1 Code | String | 11 | 01 |
| CitemdSalesTax2Code | ciitemdetail | CitemdSalesTax2Code | Sales Tax 2 Code | String | 11 | T5 |
| CitemdSalesTax3Code | ciitemdetail | CitemdSalesTax3Code | Sales Tax 3 Code | String | 11 | T6 |
| CitemdCmpQty | ciitemdetail | CitemdCmpQty | CMP On Hand Quantity | Number | 16/4 | 0.0 |
| CitemdBookCmpQty | ciitemdetail | CitemdBookCmpQty | Book Cmp Qty | Number | 16/4 | 0.0 |
| CitemdAffilRevAccCode | ciitemdetail | CitemdAffilRevAccCode | Affiliate Sales Revenue Account | String | 16 | 4000.700 |
| CitemdCustRevAccCode | ciitemdetail | CitemdCustRevAccCode | Customer Sales Revenue Account | String | 16 | 4000.700 |
| CitemdAllowNegQtyFlag | ciitemdetail | CitemdAllowNegQtyFlag | Allow Negative Balances | String | 1 | Y |
| CitemdLocActiveFlag | ciitemdetail | CitemdLocActiveFlag | Loc Active Flag | String | 1 | Y |
| CitemdAdditionalInvAmt | ciitemdetail | CitemdAdditionalInvAmt | Additional Inv Amt | Number | N/A | 0 |
| CitemdInventoryItemCode | ciitemdetail | CitemdInventoryItemCode | Item | String | 16 | BRICK1 |
| CitemdInventoryTypeCode | ciitemdetail | CitemdInventoryTypeCode | Item Code | String | 2 | 01 |
| CitemdInventoryLocCode | ciitemdetail | CitemdInventoryLocCode | Item Location Code | String | 7 | MAIN |
| CitemdSalesProductFlag | ciitemdetail | CitemdSalesProductFlag | Sales Code | String | 1 | N |
| CitemdMsAvailableFlag | ciitemdetail | CitemdMsAvailableFlag | Available For MS System | String | 1 | Y |
| CitemdIuCreateDate | ciitemdetail | CitemdIuCreateDate | Initial Create Date | String | N/A | System Generated |
| CitemdIuUpdateDate | ciitemdetail | CitemdIuUpdateDate | Last Update Date | String | N/A | System Generated |
| CitemdVUuid | ciitemdetail | CitemdVUuid | Unique Id | String | 64 | B6737D1B048FC6DAE053508010AC02CD |
Security
HTTP
Type basic
Basic authentication
Query parameters
finder
string
ExampleselectByCode;CompCode=001, AuditDate=2016-12-20, ItemCode=2500, LocCode=MAIN
limit
integer
Example500
offset
integer
Example0
totalResults
boolean
Exampletrue
orderBy
string
ExampleCitemdItemCode:desc
Responses
200
OK
Headers
Content-Type
string
Exampleapplication/vnd.oracle.adf.resourcecollection+json
{
"items": [
{
"CitemdCompCode": "ZZ",
"CitemdCompName": "CMiC-ZZ Test Company Incorp",
"CitemdItemCode": "GGHAMMER",
"CitemdItemName": "GGHAMMER",
"CitemdItemTypeCode": "1",
"CitemdItemTypeName": "Standard",
"CitemdLocCode": "MAIN",
"CitemdLocName": "Main Warehouse ABCDEFGHIKLMNOPQ",
"CitemdLotCtrlFlag": "N",
"CitemdBinCtrlFlag": "N",
"CitemdSerialFlag": "N",
"CitemdUsageCode": "N",
"CitemdCostUpdateLevelCode": "I",
"CitemdInvAccCode": "1700.100",
"CitemdRevAccCode": "4000.700",
"CitemdWriAccCode": "1700.200",
"CitemdAdjAccCode": "1700.300",
"CitemdVarAccCode": "1700.500",
"CitemdSuspAccCode": "1700.400",
"CitemdBookOnHandQty": null,
"CitemdOnHandQty": null,
"CitemdOnOrderQty": null,
"CitemdReserveQty": null,
"CitemdMinOrderQty": 100,
"CitemdStdOrderQty": 10,
"CitemdMaxOrderQty": 10,
"CitemdMinOnhandQty": 10,
"CitemdMaxOnhandQty": 10,
"CitemdStdOnhandQty": 10,
"CitemdMarketPriceAmt": null,
"CitemdSellPriceAmt": 100,
"CitemdBuybackPriceAmt": 100,
"CitemdRestockPriceAmt": null,
"CitemdStdCostAmt": null,
"CitemdAvgCostAmt": null,
"CitemdLastCostAmt": null,
"CitemdCostUpdateDate": null,
"CitemdCrtDate": null,
"CitemdCrtUserCode": null,
"CitemdLastModifyDate": null,
"CitemdLastModifyUserCode": null,
"CitemdTempInsertFlag": "N",
"CitemdBookReserveQty": null,
"CitemdDeprExpAccCode": null,
"CitemdAccumDeprAccCode": null,
"CitemdTax1Code": null,
"CitemdTax2Code": null,
"CitemdTax3Code": null,
"CitemdSoldAtCostAccCode": "GS-0902",
"CitemdSalesTax1Code": null,
"CitemdSalesTax2Code": null,
"CitemdSalesTax3Code": null,
"CitemdCmpQty": null,
"CitemdBookCmpQty": null,
"CitemdAffilRevAccCode": "4000.700",
"CitemdCustRevAccCode": "4000.700",
"CitemdAllowNegQtyFlag": "Y",
"CitemdLocActiveFlag": "Y",
"CitemdAdditionalInvAmt": null,
"CitemdInventoryItemCode": null,
"CitemdInventoryTypeCode": null,
"CitemdInventoryLocCode": null,
"CitemdSalesProductFlag": "N",
"CitemdMsAvailableFlag": "N",
"CitemdIuCreateDate": "2026-06-09T07:48:28-04:00",
"CitemdIuUpdateDate": null,
"CitemdVUuid": "53D1981D61D865D7E0630B811DAC7906",
"links": [
{
"rel": "self",
"href": "http://127.0.0.1:7101/ci-rest-api/rest/1/ciitemdetail/53D1981D61D865D7E0630B811DAC7906",
"name": "ciitemdetail",
"kind": "item"
},
{
"rel": "canonical",
"href": "http://127.0.0.1:7101/ci-rest-api/rest/1/ciitemdetail/53D1981D61D865D7E0630B811DAC7906",
"name": "ciitemdetail",
"kind": "item"
}
]
}
],
"totalResults": 1,
"count": 1,
"hasMore": false,
"limit": 500,
"offset": 0,
"links": [
{
"rel": "self",
"href": "http://127.0.0.1:7101/ci-rest-api/rest/1/ciitemdetail",
"name": "ciitemdetail",
"kind": "collection"
}
]
}object